This forum is no longer active. Please post your questions to our new community site

RubyInline looks broken in the new beta

Subscribe to RubyInline looks broken in the new beta 2 post(s), 2 voice(s)

 
Avatar aemadrid 2 post(s)

C:\Sites>sake -i http://datamapper.org/dm-dev.sake
C:/Dev/BitNami/RUBYST1/ruby/lib/ruby/gems/1.8/gems/RubyInline-3.7.0/lib/inline.rb:90:in `+’: can’t convert nil into String (TypeError) from C:/Dev/BitNami/RUBYST1/ruby/lib/ruby/gems/1.8/gems/RubyInline-3.7.0/lib/inline.rb:90:in `rootdir’ from C:/Dev/BitNami/RUBYST1/ruby/lib/ruby/gems/1.8/gems/RubyInline-3.7.0/lib/inline.rb:107:in `directory’ from C:/Dev/BitNami/RUBYST1/ruby/lib/ruby/gems/1.8/gems/RubyInline-3.7.0/lib/inline.rb:277:in `so_name’ from C:/Dev/BitNami/RUBYST1/ruby/lib/ruby/gems/1.8/gems/RubyInline-3.7.0/lib/inline.rb:317:in `load_cache’ from C:/Dev/BitNami/RUBYST1/ruby/lib/ruby/gems/1.8/gems/RubyInline-3.7.0/lib/inline.rb:653:in `inline’ from C:/Dev/BitNami/RUBYST1/ruby/lib/ruby/gems/1.8/gems/ParseTree-2.1.1-x86-mswin32/lib/parse_tree.rb:244 from C:/Dev/BitNami/RUBYST1/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require’ from C:/Dev/BitNami/RUBYST1/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require’ from C:/Dev/BitNami/RUBYST1/ruby/lib/ruby/gems/1.8/gems/sake-1.0.15/lib/sake.rb:13 from C:/Dev/BitNami/RUBYST1/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require’ from C:/Dev/BitNami/RUBYST1/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require’ from C:/Dev/BitNami/RUBYST1/ruby/lib/ruby/gems/1.8/gems/sake-1.0.15/bin/sake:3 from C:/Dev/BitNami/RUBYST1/ruby/bin/sake:19:in `load’ from C:/Dev/BitNami/RUBYST~1/ruby/bin/sake:19

 
Avatar Beltrán Rueda Administrator 3,714 post(s)

Hi I have tried to install sake and execute the “sake -i” action and runs well. What are you executing to try to reproduce the error? Thanks.


C:\Documents and Settings\beltran\BitNami RubyStack projects>gem install sake
Bulk updating Gem source index for: <a href="http://gems.rubyforge.org">http://gems.rubyforge.org</a>
Successfully installed rubyforge-1.0.0
Successfully installed hoe-1.6.0
Successfully installed RubyInline-3.7.0
Successfully installed ParseTree-2.1.1-x86-mswin32
Successfully installed ruby2ruby-1.1.8
Successfully installed sake-1.0.15
6 gems installed
Installing ri documentation for rubyforge-1.0.0...
Installing ri documentation for hoe-1.6.0...
Installing ri documentation for RubyInline-3.7.0...
Installing ri documentation for ParseTree-2.1.1-x86-mswin32...
Installing ri documentation for ruby2ruby-1.1.8...
Installing ri documentation for sake-1.0.15...
Installing RDoc documentation for rubyforge-1.0.0...
Installing RDoc documentation for hoe-1.6.0...
Installing RDoc documentation for RubyInline-3.7.0...
Installing RDoc documentation for ParseTree-2.1.1-x86-mswin32...
Installing RDoc documentation for ruby2ruby-1.1.8...
Installing RDoc documentation for sake-1.0.15...
C:\Documents and Settings\beltran\BitNami RubyStack projects>sake -i <a href="http://data">http://data</a>
mapper.org/dm-dev.sake
# Installing task `dm:clone'
# Installing task `dm:update'
# Installing task `dm:gems:wipe'
# Installing task `dm:gems:refresh'
# Installing task `dm:install'
# Installing task `dm:install:extlib'
# Installing task `dm:install:core'
# Installing task `dm:install:more'
# Installing task `dm:install:dev'
# Installing task `dm:install:do'
# Installing task `dm:install:do:data_objects'
# Installing task `dm:install:do:postgres'
# Installing task `dm:install:do:mysql'
# Installing task `dm:install:do:sqlite3'
# Installing task `dm:sake:refresh'
# Installing task `dm:update:version'
# Installing task `strip'